# frozen_string_literal: true

require 'carrierwave/test/matchers'

::CarrierWave.configure do |config|
  config.storage           = :file
  config.root              = ::File.expand_path('./tmp/attachments')
  config.enable_processing = false
end

RSpec.configure do |config|
  config.include ::CarrierWave::Test::Matchers, :file_attachment => true
end
