# frozen_string_literal: true

::FactoryBot.definition_file_paths << './spec/factories'

if ::FactoryBot.configuration.factories.count.zero? &&
   ::Rails.application.class.name.match(/Dummy/)

  ::FactoryBot.find_definitions
end

RSpec.configure do |config|
  config.include ::FactoryBot::Syntax::Methods
end
