# frozen_string_literal: true

RSpec.configure do |config|
  config.before(:each, :email => true) do
    config.rspeckled_logger.debug("Before Each  - Start - #{__FILE__}")

    if ::ActionMailer::Base.delivery_method == :cache
      mailer.clear_cache
    else
      deliveries.clear
    end

    config.rspeckled_logger.debug("Before Each  - End   - #{__FILE__}")
  end
end
