# frozen_string_literal: true

RSpec.configure do |config|
  config.around(:each, :js => true, :debug => true) do |example|
    config.rspeckled_logger.debug("Around Each  - Start - #{__FILE__}")

    ::Selenium::WebDriver.logger.level = :debug

    example.run

    ::Selenium::WebDriver.logger.level = :warn

    config.rspeckled_logger.debug("Around Each  - End   - #{__FILE__}")
  end
end
