# frozen_string_literal: true

RSpec.configure do |config|
  [:system, :feature, :request].each do |type|
    config.before(:all, :type => type) do |_example|
      config.rspeckled_logger.debug("Before All   - Start - #{__FILE__}")

      ::Warden.test_mode!

      config.rspeckled_logger.debug("Before All   - End   - #{__FILE__}")
    end
  end
end
