# frozen_string_literal: true

begin
  require 'dirty_url/patches/feature_example_group'
rescue LoadError
end

RSpec.configure do |config|
  if defined?(::RSpec::Rails)
    if ::Pathname.pwd.join('spec', 'dummy', 'config', 'environment.rb').exist?
      require 'rspeckled/patches/rails/namespaced_engine_controller_route_fix'

      config.include Rspeckled::NamespacedEngineControllerRouteFix, :type => :controller
    end
  end
end
