# frozen_string_literal: true

RSpec.configure do |config|
  config.around(:each, :vcr => lambda { |v| !!v }) do |example|
    config.rspeckled_logger.debug("Around Each  - Start - #{__FILE__}")

    ::VCR.configuration.allow_http_connections_when_no_cassette = false

    example.run

    ::VCR.configuration.allow_http_connections_when_no_cassette = true

    config.rspeckled_logger.debug("Around Each  - End   - #{__FILE__}")
  end
end
